OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NVX.ProgressFence

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVXProgressFence :: MonadIO m => m Bool
- gl_NVX_progress_fence :: Bool
- glClientWaitSemaphoreui64NVX :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLuint64 -> m ()
- glCreateProgressFenceNVX :: MonadIO m => m GLuint
- glSignalSemaphoreui64NVX :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> Ptr GLuint64 -> m ()
- glWaitSemaphoreui64NVX :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> Ptr GLuint64 -> m ()

# Extension Support

glGetNVXProgressFence :: MonadIO m => m Bool Source #

Is the NVX_progress_fence extension supported?

gl_NVX_progress_fence :: Bool Source #

Is the NVX_progress_fence extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVXProgressFence` in those cases instead.

# Functions

glClientWaitSemaphoreui64NVX Source #

Arguments

:: MonadIO m |
=> GLsizei | `fenceObjectCount`.
-> Ptr GLuint | `semaphoreArray` pointing to `fenceObjectCount` elements of type `GLuint`.
-> Ptr GLuint64 | `fenceValueArray` pointing to `fenceObjectCount` elements of type `GLuint64`.
-> m () |

glCreateProgressFenceNVX :: MonadIO m => m GLuint Source #

glSignalSemaphoreui64NVX Source #

Arguments

:: MonadIO m |
=> GLuint | `signalGpu`.
-> GLsizei | `fenceObjectCount`.
-> Ptr GLuint | `semaphoreArray` pointing to `fenceObjectCount` elements of type `GLuint`.
-> Ptr GLuint64 | `fenceValueArray` pointing to `fenceObjectCount` elements of type `GLuint64`.
-> m () |

glWaitSemaphoreui64NVX Source #

Arguments

:: MonadIO m |
=> GLuint | `waitGpu`.
-> GLsizei | `fenceObjectCount`.
-> Ptr GLuint | `semaphoreArray` pointing to `fenceObjectCount` elements of type `GLuint`.
-> Ptr GLuint64 | `fenceValueArray` pointing to `fenceObjectCount` elements of type `GLuint64`.
-> m () |